Qt 5.11 | Qt Sensors | C++ Classes | QTiltSensor

Qt 5.11.3 Reference Documentation

# QTiltSensor Class

The QTiltSensor class is a convenience wrapper around QSensor. More...

Header: | #include <QTiltSensor>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensor

- List of all members, including inherited members

## Public Functions

| QTiltSensor(QObject *parent = Q_NULLPTR)
virtual | ~QTiltSensor()
void | calibrate()
QTiltReading * | reading() const

- 37 public functions inherited from QSensor

### Additional Inherited Members

- 20 properties inherited from QSensor
- 2 public slots inherited from QSensor
- 14 signals inherited from QSensor
- 3 static public members inherited from QSensor

## Detailed Description

The QTiltSensor class is a convenience wrapper around QSensor.

The only behavioural difference is that this class sets the type properly.QMetaObject::invokeMethod(backend(), "calibrate");

This class also features a reading() function that returns a QTiltReading instead of a QSensorReading.

For details about how the sensor works, see QTiltReading.

See also QTiltReading.

## Member Function Documentation

### QTiltSensor::QTiltSensor(QObject *parent = Q_NULLPTR)

Default constructs an instance of QTiltSensor.

### `[virtual]` QTiltSensor::~QTiltSensor()

Destroys the instance of QTiltSensor. The destructor is virtual.

### void QTiltSensor::calibrate()

Calibrates the tilt sensor. Uses the current tilt angles as 0.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### QTiltReading *QTiltSensor::reading() const